Bug 249014 - cupsd_t needs to be able to read/write generic USB devices
cupsd_t needs to be able to read/write generic USB devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 248740
  Show dependency treegraph
 
Reported: 2007-07-20 08:04 EDT by Tim Waugh
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-22 05:56:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
+dev_rw_generic_usb_dev(cupsd_t) (388 bytes, patch)
2007-07-20 08:04 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2007-07-20 08:04:21 EDT
Description of problem:
The HP backend, running in the cupsd_t context, needs to be able to use
/dev/bus/usb/*/*.

Version-Release number of selected component (if applicable):
3.0.3-2.fc8

Patch attached.
Comment 1 Tim Waugh 2007-07-20 08:04:22 EDT
Created attachment 159647 [details]
+dev_rw_generic_usb_dev(cupsd_t)
Comment 2 Daniel Walsh 2007-07-20 09:24:39 EDT
Fixed in selinux-policy-3.0.3-3

Tim is this needed for RHEL5, FC6, FC7?
Comment 3 Tim Waugh 2007-07-20 09:29:43 EDT
Thanks!  No, only needed for F-8 onwards.
Comment 4 Hans de Goede 2007-07-22 05:56:00 EDT
I can confirm that selinux-policy-targeted-3.0.3-3.fc8.noarch fixes this.
Printing to an hplip usb printer now works fine with enforcing enabled.

Closing.

Note You need to log in before you can comment on or make changes to this bug.